Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.LayerPrintData Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | LayerPrintData ()
| Constructor.
def | LayerPrintData (data)
| Constructor, with another layer print data object. More...
def | Set (subtype, print_state)
| Set value. More...

## Static Public Attributes
| print_state = _fsdk.LayerPrintData_print_state
| Layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application. More...
| subtype = _fsdk.LayerPrintData_subtype
| A string that specifies the kind of content controlled by a layer.

## Detailed Description

This class represents data for PDF layer printing usage.

## Constructor & Destructor Documentation

## ◆ LayerPrintData()

def FoxitPDFSDKPython3.LayerPrintData.LayerPrintData | ( |  | data | ) |

Constructor, with another layer print data object.

Parameters

  [in] | data | Another layer print data object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.LayerPrintData.Set | ( |  | subtype,
|  |  | print_state
| ) |  |

Set value.

Parameters

  [in] | subtype | A string to specify the kind of content controlled by a layer.
  [in] | print_state | Layer usage state, indicating that the layer should be set to that state when the document is printed from a viewer application. Please refer to values starting from FoxitPDFSDKPython3.LayerTree.e_StateON and this should be one of these values except FoxitPDFSDKPython3.LayerTree.e_StateUnchanged .

Returns
  None.

## Member Data Documentation

## ◆ print_state

FoxitPDFSDKPython3.LayerPrintData.print_state = _fsdk.LayerPrintData_print_state
| static

Layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application.

Please refer to values starting from FoxitPDFSDKPython3.LayerTree.e_StateON and this should be one of these values except FoxitPDFSDKPython3.LayerTree.e_StateUnchanged .